Create a purchase using a wallet

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The wallet request object

The credentials required to make payments with a particular wallet provider vary according to the provider used. The type field in the wallet object determines which provider syntax is used. Currently, supported wallets are:

  • Apple Pay
  • Google Pay

Apple Pay

FieldTypeDescription
typeString. For Apple Pay, the value will be APPLE, or APPLEPAYWEB if using Apple Pay on the Web.Wallet provider identifier
tokenObject
token.paymentDataObjectData format is specified by the latest Apple Pay documentation

Google Pay

FieldTypeDescription
typeString. For Google Pay, the value will be GOOGLEWallet provider identifier
tokenObjectSet this field to the object provided by the Google Pay API. This object will contain fields including intermediateSigningKey, protocolVersion, signature, and signedMessage
Body Params
int32
required

A positive integer representing how much to charge, in the smallest currency unit (eg., 100 to charge $1.00, or 100 to Charge ¥100, a zero decimal currency)

string
required

Reference of the transaction. Max length 255 characters.

string
required

RFC791-compliant IP address

string
required
Defaults to AUD

Three letter ISO currency code, in UPPERCASE

string
required

Name of the card holder

string

CVV card number. (3/4 characters)

boolean
Defaults to false

Indicates if this is a test transaction

wallet
object

Wallet credentials. Described below

string
extra
object
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json